#include <iostream>

using namespace std;

class Animal {
   protected:
    float number;

   public:
    Animal(){};                         // Default constructor
    Animal(int numb) : number(numb){};  // Constructor with member initialization list
};

class SlaughterCattle : public Animal {
   private:
    float weight;

   public:
    SlaughterCattle(int numb, float wei) : Animal(numb), weight(wei){};

    void displaydata() { cout << "There are " << number << " animals with " << weight << " kg each available" << endl; }
};

class DairyCattle : public Animal {
   private:
    float milkyield;

   public:
    DairyCattle(int numb, float m_y) : Animal(numb), milkyield(m_y){};

    void displaydata() { cout << "There are " << number << " animals with an average milk yield of " << milkyield << " l available" << endl; }
};

int main() {
    SlaughterCattle Pig(100, 50);
    Pig.displaydata();

    DairyCattle Cow(25, 5);
    Cow.displaydata();

    return 0;
}
