#include <iostream>

using namespace std;

class Car {
   private:
    string brand;
    int mileage;
    static int number_rides;

   public:
    Car(string b, int m) : brand(b), mileage(m) {}
    ~Car() { cout << endl << "Object has been deleted. " << endl; }

    void drive(int driven)  // Declaration and Definition of the function query_data
    {
        mileage += driven;
        number_rides++;
    }

    void show_data() {
        cout << brand << ", actual mileage: " << mileage << endl;
        cout << "Number of rides: " << number_rides << endl;
    }
};

int Car::number_rides = 0;

int main() {
    Car bmw("BMW", 1500);
    bmw.drive(70);
    bmw.show_data();
    bmw.drive(80);
    bmw.show_data();
    bmw.drive(250);
    bmw.show_data();

    cout << endl << endl;

    return 0;
}
