#include <fstream>
#include <iostream>

using namespace std;

class Person {
   private:
    int persno, hours;
    string name;
    float hourlywage;

   public:
    Person(){};
    void setPersno(int p) { persno = p; }
    void setName(string n) { name = n; }
    void setHours(int s) { hours = s; }
    void setHourlyWage(float sl) { hourlywage = sl; }
    void displayData();
};

void Person::displayData() { cout << persno << "\t" << name << "\t" << hours << "\t" << hourlywage << "\t" << hours * hourlywage << endl; }

int main() {
    ifstream fileReader("persons.txt");
    int i = 0;
    Person personlist[4];

    int p, s;
    string n;
    float sl;

    if (fileReader.good()) {
        while (fileReader >> p >> n >> s >> sl) {
            personlist[i].setPersno(p);
            personlist[i].setName(n);
            personlist[i].setHours(s);
            personlist[i].setHourlyWage(sl);
            i++;
        }
    } else {
        cout << "File could not be opened.";
        return 0;
    }

    cout << "PersNo\tName\tHours\tHourlyWage\tGrossWage" << endl;

    for (int i = 0; i < 4; i++) 
        personlist[i].displayData();

    return 0;
}
