#include <iostream>

using namespace std;

class Rectangle {
   private:
    double length, width;

   public:
    Rectangle(){};
    Rectangle(double x, double y) : length(x), width(y){};
    double area() { return length * width; };
};

int main() {
    Rectangle *R = new Rectangle();  // Creating an object of the class Rectangle in the dynamic memory
    int l, w;

    do {
        cout << "Length: ";
        cin >> l;
        cout << "Width: ";
        cin >> w;
        if (l == 0 || w == 0) break;

        R = new Rectangle(l, w);
        cout << "Area: " << R->area() << endl;

        // Release memory
        delete R;

    } while (true);

    return 0;
};
