#include <iostream>

using namespace std;

template <class T>
double Average(T tArray[], int nElements) {
    T tSum = 0;

    for (int index = 0; index < nElements; ++index) {
        tSum += tArray[index];
    }

    // Regardless of which data type tSum is, convert it to double
    return double(tSum) / nElements;
}

int main() {
    int IntArray[5] = {100, 200, 400, 500, 1000};
    double FloatArray[3] = {1.55f, 5.44f, 12.36f};

    cout << Average(IntArray, 5) << endl;
    cout << Average(FloatArray, 3) << endl;

    return 0;
}
